Bug 109152 - redundant tables in database
redundant tables in database
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fanny Augustin
:
Depends On:
Blocks: 120995
  Show dependency treegraph
 
Reported: 2003-11-04 20:42 EST by Kim Dykeman
Modified: 2014-04-25 15:53 EDT (History)
0 users

See Also:
Fixed In Version: rhn340sat
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-14 12:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kim Dykeman 2003-11-04 20:42:39 EST
check_suite_probe and check_suite_member_probes contain redundant
data.  This appears to be an artifact of the probe_schema refactor.

Apparently check_suite_probe was originally not a subclass of probe.
When check_suites was created as a subclass of probe and its data was
populated, check_suite_probe should have gone away.

Both classes are being used by the dynamo code (check_suite_probe more
heavily than check_suite_member_probe).
Comment 1 Karen Jacqmin-Adams 2004-05-18 12:29:54 EDT
#  How was this issue addressed?
Dropped table check_suite_member_probe and replaced references to it 
with check_suite_probe.

# What level of users are affected? 
Only the non-existent monitoring UI is impacted.

# Where specifically can the change be seen?
Database schema only

# If the change cannot be verified visually, how should it be tested?
1) sqlplus command: "desc check_suite_member_probe" should not be able
to find the table after the monitoring schema is deployed
2) monitoring schema should deploy check_suite_member_probe cleanly
Comment 2 Karen Jacqmin-Adams 2004-05-28 10:48:59 EDT
Transfering to Peter to mark as ON_DEV when he pushes the monitoring
schema to webdev.
Comment 3 Peter Jones 2004-05-31 17:58:01 EDT
on dev
Comment 4 Nick Hansen 2004-06-09 13:12:57 EDT
actually, #2 should read:
 2) monitoring schema should deploy check_suite_probe cleanly 

That being the case, this bug passes qa. 
Comment 5 Matt Jamison 2004-06-21 10:05:12 EDT
is there a test plan for this?
Comment 6 Matt Jamison 2004-06-22 11:56:00 EDT
ok, I obviously didn't read this thread carefully.

I now see the test plan thanks to the observant eyes of gdk.
Comment 7 Fanny Augustin 2004-06-24 11:17:35 EDT
Looks good in DB.

Note You need to log in before you can comment on or make changes to this bug.